application:
  message: ESB
server:
  context-path: /esb
  port: 8080
  session-timeout:  3000
security:
  basic:
    enabled: false

local:
  server:
    port: 8080
spring:
  mvc:
    view:
      prefix: /WEB-INF/ehr/jsp/
      suffix: .jsp

---
spring:
  profiles: dev
  administrators: jkzl
  #SAAS管理员账号,暂时配置在此处
  datasource:
      driverClassName: com.mysql.jdbc.Driver
      url: jdbc:mysql://192.168.1.220:8066/global_db?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true
      username: hos
      password: 123456
      test-on-borrow: true
      validation-query: SELECT 1
      test-while-idle: true
      max-total: 100
      default-auto-commit: true
      max-idle: 50
      min-idle: 20
      initial-size: 10
  jpa:
    database-platform: org.hibernate.dialect.MySQL5Dialect
    hibernate:
      dialect: org.hibernate.dialect.MySQL5Dialect
    format-sql: true
    show-sql: false
  data:
    mongodb:
      host: 172.19.103.57
      port: 27017
      username: esb
      password: esb
      authenticationDatabase: admin
      gridFsDatabase: dfs
  activemq:
    broker-url: tcp://172.19.103.57:61616?wireFormat.maxInactivityDuration=0
    user: admin
    password: admin
    pooled: false
  aop:
    proxy-target-class: true
---
spring:
  profiles: test
  #SAAS管理员账号,暂时配置在此处
  administrators: jkzl
  data:
    mongodb:
      host: 172.19.103.86
      port: 27017
      username: esb
      password: esb
      authenticationDatabase: admin
      gridFsDatabase: dfs
  activemq:
    broker-url: tcp://172.19.103.86:61616?wireFormat.maxInactivityDuration=0
    user: admin
    password: admin
    pooled: false
#  data:
#    mongodb:
#      host: 172.19.103.86
#      port: 27017
#      username: esb
#      password: esb
#      authenticationDatabase: admin
#      database: configuration

---
spring:
  #SAAS管理员账号,暂时配置在此处
  administrators: jkzl
  profiles: lfq
  #SAAS管理员账号,暂时配置在此处
  datasource:
      driverClassName: com.mysql.jdbc.Driver
      url: jdbc:mysql://192.168.1.220:8066/global_db?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true
      username: hos
      password: 123456
      test-on-borrow: true
      validation-query: SELECT 1
      test-while-idle: true
      max-total: 100
      default-auto-commit: true
      max-idle: 50
      min-idle: 20
      initial-size: 10
  jpa:
    database-platform: org.hibernate.dialect.MySQL5Dialect
    hibernate:
      dialect: org.hibernate.dialect.MySQL5Dialect
    format-sql: true
    show-sql: false
  data:
    mongodb:
      host: 172.19.103.57
      port: 27017
      username: esb
      password: esb
      authenticationDatabase: admin
      gridFsDatabase: dfs
  activemq:
    broker-url: tcp://172.19.103.57:61616?wireFormat.maxInactivityDuration=0
    user: admin
    password: admin
    pooled: false
  aop:
    proxy-target-class: true